//
// Created by philipp on 20.01.18.
//

#ifndef PLATOONPROTOCOL_DEFINITIONS_H
#define PLATOONPROTOCOL_DEFINITIONS_H

//
// User definitions.
// -----------------
//

// Enable logging by defining PLATOON_PROTOCOL_ENABLE_LOGGING.
#define PLATOON_PROTOCOL_ENABLE_LOGGING

// Define the stream for logging.
#define PLATOON_PROTOCOL_LOGGING_STREAM std::cout

// Enable local testing by making the port numbers depend on the vehicle-ID.
// ATTENTION: This should ONLY be used to test your code!
// Don't define this in real usage!
#define PLATOON_PROTOCOL_ENABLE_LOCAL_TESTING

#endif //PLATOONPROTOCOL_DEFINITIONS_H
